/*=== STYLE RESET ===*/

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/*==== END OF STYLE RESET ====*/


/* ===== BOX SIZING ===== */
html {
    box-sizing: border-box;
}
  *, *:before, *:after {
    box-sizing: inherit;
}


/*======================== MY STYLING RULES ========================*/
/*
colour palette:
dark brown #362c1e;
lighter brown #665338;
beige #f5f4f0;
*/
/* ==== INHERITED ====*/
body{
	font-family: "Zen Kaku Gothic Antique", serif;
	line-height: 1.2em;
	font-size: 1.1rem;
	font-size: clamp(1.1rem, 1.02rem + 0.3999999999999999vw, 1.5rem);
	color: #362c1e;
	background: #f5f4f0 url(images/body-background.jpg) top left repeat;
}

header, main, footer{
	margin: 0 auto;
}

main{	
	max-width: 90vw;
	padding-bottom: 4em;
}

/* ==== HEADINGS ==== */
h1, h2, h3, h4{
	line-height: 1.1em;
	text-wrap: balance;
	padding: 0.5em 0;
}

h1{
	font-family: 'Nothing You Could Do', Georgia, 'Times New Roman', Times, serif;
	line-height: 1em;
	font-size: 3rem;
	font-size: clamp(3rem, 2.6rem + 2vw, 5rem); /*clamp for fluid typogrphy - seamless increase of font size*/
	font-weight: bold;
	text-align: center;
}

h2{
	font-size: 2.5rem;
	font-size: clamp(2.5rem, 2.26rem + 1.2000000000000002vw, 3.7rem);
	font-weight: 550;
}

h3{
	font-size: 1.8em;
	font-size: clamp(1.8rem, 1.56rem + 1.2vw, 3rem);
	font-weight: 500;
}

h4{
	font-size: 1.5em;
	font-size: clamp(1.5rem, 1.26rem + 1.2000000000000002vw, 2.7rem);
	font-weight: 400;
}

/* ==== MAIN ===== */
p{
padding-bottom: 10px;
}

/* ==== GALLERY STYLES ==== */
figcaption{
	margin-bottom: 1em;
}

/* ==== OPENING HOURS STYLES ==== */
dt{
	font-weight: 500;
}

/*Grid to style days and hours in two corresponding columns*/
section > dl{
	display: grid;
  grid-template-columns: 1fr 1fr;
  max-width: 500px;
	line-height: 2;
}

/* ==== IMAGES STYLES ==== */
main > img{
	display: block;
	width: 100%;
	max-width: 250px;
	height: auto;
	margin-bottom: 1em;
	box-shadow:  0 0 5px #0005; /*box shadow on images for more contrast and slight outline*/
}

/*Header graphic*/
h1 img{
	width: 100px;
	height: auto; 
	margin: 0 30px;
}

/* ==== MAP STYLING ==== */
iframe{
	width: 300px;
	height: auto;
}

/* ==== NAVIGATION MENU STYLES ==== */
header > nav{
	text-align: center;
	text-wrap: balance;
	padding: 10px;
	line-height: 2.5em;
	background: #665338 url(images/vinyl-menu-background.png) top left repeat;
	border-top: 3px solid #362c1e;
	border-bottom: 3px solid #362c1e;
}

nav li{
	display: inline;
	margin: 0 2em;
}

/*Style for current page visited*/
.current{
	padding: 0.5em;
	border: 2px solid #f5f4f0;
	border-radius: 20px;
	background-color: #362c1e;
}

/* ==== FOOTER ==== */
footer{
	font-size: 0.8em;;
	text-align: center;
	padding-top: 2em;
	border-top: 3px solid #362c1e;
	color: #f5f4f0;
	background-color: #665338;
}

/* ==== LINK STYLES ====*/
header > nav a:link, header > nav a:visited, header > nav a:active{
	color: #f5f4f0;
}

h1 a:link, h1 a:visited, h1 a:active, h1 a:hover, h1 a:focus{
	text-decoration:none;
}

a:link, a:visited, a:active{
	text-decoration: underline;
	color: #362c1e;
}

footer a:link, footer a:visited, footer a:active{
	color: #f5f4f0;
}

/*The same for heade, main and footer*/
a:hover, a:focus{
	text-decoration: none;
	cursor: pointer;
}

/* ==== RESPONSIVE ==== */
@media(min-width: 700px){
	main{
		max-width: 80vw;
	}
	div{
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 1em;
	}
	iframe{
		width: 400px;
		height: 250px;
	}
}

@media(min-width: 900px){
	main > img{
		float: right;
		margin: 0 1.5em;
	}
}

@media(min-width:1320px){
	main{
		max-width: 70vw;
	}
	div{
		grid-template-columns: repeat(3, 1fr);
	}
	h1 > img{
		width: 150px;
		height: auto;
	}

	iframe{
		display: inline;
		float: left;
		width: 550px;
		height: 350px;
		padding-right: 20px;
	}
}

